Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 23 Feb 2017 08:06:39 +1100

Hi James,

On Wed, 22 Feb 2017 13:41:19 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the scsi-mkp tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: ".nvme_fc_unregister_remoteport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvme_fc_unregister_localport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvmet_fc_rcv_ls_req" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvmet_fc_rcv_fcp_req" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvme_fc_register_localport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvme_fc_register_remoteport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvmet_fc_register_targetport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> ERROR: ".nvmet_fc_unregister_targetport" [drivers/scsi/lpfc/lpfc.ko] undefined!
> 
> Caused by commit
> 
>   462896e1808c ("scsi: lpfc: NVME Initiator: bind to nvme_fc api")
> 
> # CONFIG_NVME_FC is not set
> 
> Presumably a missing dependency.
> 
> I have used the scsi-mkp from next-20170221 for today.

Unfortunately, you have just merged this build failure into the scsi
tree :-(

James Smart has posted a fix:

  "[PATCH v2] lpfc: add missing Kconfig NVME dependencies"

-- 
Cheers,
Stephen Rothwell